- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Basics::CLong Class Reference

Inheritance diagram for Exponent::Basics::CLong:

List of all members.

## Detailed Description

Wrapper around built in type long.

Provides CCountedObject functionality around built in 'long' type

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CLong.hpp,v 1.3 2007/02/08 21:06:44 paul Exp

Definition at line 37 of file CLong.hpp.

## Public Member Functions

- CLong (const long value=0)
- virtual void getObjectDescription (char *string, const long size) const
- long getValue () const
- CString getValueAsString (const long preceedingZeros=2) const
- CLong & operator * (const long value)
- CLong & operator * (const CLong &value)
- bool operator! ()
- bool operator!= (const long value)
- bool operator!= (const CLong &value)
- CLong & operator+ (const long value)
- CLong & operator+ (const CLong &value)
- CLong & operator+= (const long value)
- CLong & operator+= (const CLong &value)
- CLong & operator- (const long value)
- CLong & operator- (const CLong &value)
- CLong & operator-= (const long value)
- CLong & operator-= (const CLong &value)
- CLong & operator/ (const long value)
- CLong & operator/ (const CLong &value)
- CLong & operator= (const long value)
- CLong & operator= (const CLong &value)
- bool operator== (const long value)
- bool operator== (const CLong &value)
- void setValue (const long value)
- void setValue (const CLong &value)
- virtual ~CLong ()

## Protected Attributes

- long m_value

## Constructor & Destructor Documentation

Exponent::Basics::CLong::CLong | ( | const long | value = `0` | ) |

Construction

Parameters:

  | value | The value to store

virtual Exponent::Basics::CLong::~CLong | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::Basics::CLong::getObjectDescription | ( | char * | string,
|  | const long | size |
| ) |  |  | const`[virtual]`

Get a description of the object

Parameters:

  | string | On return is filled with the description
  | size | The size of the stirng

Reimplemented from Exponent::Basics::CCountedObject.

long Exponent::Basics::CLong::getValue | ( |  | ) | const

Get the value

Return values:

  | long | The value stored

CString Exponent::Basics::CLong::getValueAsString | ( | const long | preceedingZeros = `2` | ) | const

Get as a string

Parameters:

  | preceedingZeros | The level of precision in leading zeros

Return values:

  | CString | The long as a string (up to you to delete the CString returned)

CLong& Exponent::Basics::CLong::operator * | ( | const long | value | ) |

Multiplication operator

Parameters:

  | value | The value to multiply with this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator * | ( | const CLong & | value | ) |

Multiplication operator

Parameters:

  | value | The value to multiply with this

Return values:

  | CLong& | A reference to this

bool Exponent::Basics::CLong::operator! | ( |  | ) |

Not operator

Return values:

  | bool | True if value == 0, false otherwise

bool Exponent::Basics::CLong::operator!= | ( | const long | value | ) |

InEquality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are inequal, false otherwise

bool Exponent::Basics::CLong::operator!= | ( | const CLong & | value | ) |

InEquality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are inequal, false otherwise

CLong& Exponent::Basics::CLong::operator+ | ( | const long | value | ) |

Addition operator

Parameters:

  | value | The value to add to this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator+ | ( | const CLong & | value | ) |

Addition operator

Parameters:

  | value | The value to add to this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator+= | ( | const long | value | ) |

Plus equals operator

Parameters:

  | value | The value to add to this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator+= | ( | const CLong & | value | ) |

Plus equals operator

Parameters:

  | value | The value to add to this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator- | ( | const long | value | ) |

Subtraction operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator- | ( | const CLong & | value | ) |

Subtraction operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator-= | ( | const long | value | ) |

Neg equals operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator-= | ( | const CLong & | value | ) |

Neg equals operator

Parameters:

  | value | The value to subtract from this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator/ | ( | const long | value | ) |

Division operator

Parameters:

  | value | The value to divide with this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator/ | ( | const CLong & | value | ) |

Division operator

Parameters:

  | value | The value to divide with this

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator= | ( | const long | value | ) |

Assignment operator

Parameters:

  | value | The value to store

Return values:

  | CLong& | A reference to this

CLong& Exponent::Basics::CLong::operator= | ( | const CLong & | value | ) |

Assignment operator

Parameters:

  | value | The value to store

Return values:

  | CLong& | A reference to this

bool Exponent::Basics::CLong::operator== | ( | const long | value | ) |

Equality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are equal, false otherwise

bool Exponent::Basics::CLong::operator== | ( | const CLong & | value | ) |

Equality operator

Parameters:

  | value | The value to compare to

Return values:

  | bool | True if values are equal, false otherwise

void Exponent::Basics::CLong::setValue | ( | const long | value | ) |

Set the value

Parameters:

  | value | The value to store

void Exponent::Basics::CLong::setValue | ( | const CLong & | value | ) |

Set the value

Parameters:

  | value | The value to store

## Member Data Documentation

long Exponent::Basics::CLong::m_value`[protected]`

The value being stored

Definition at line 236 of file CLong.hpp.